/*******************************************************************************
 *  Copyright CONSORTIUM COCKTAIL (www.cocktail.org), 1995, 2008
 *  
 *  This software is governed by the CeCILL license under French law and abiding
 *  by the rules of distribution of free software. You can use, modify and/or
 *  redistribute the software under the terms of the CeCILL license as circulated
 *  by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *  
 *  As a counterpart to the access to the source code and rights to copy, modify
 *  and redistribute granted by the license, users are provided only with a
 *  limited warranty and the software's author, the holder of the economic
 *  rights, and the successive licensors have only limited liability.
 *  
 *  In this respect, the user's attention is drawn to the risks associated with
 *  loading, using, modifying and/or developing or reproducing the software by
 *  the user in light of its specific status of free software, that may mean that
 *  it is complicated to manipulate, and that also therefore means that it is
 *  reserved for developers and experienced professionals having in-depth
 *  computer knowledge. Users are therefore encouraged to load and test the
 *  software's suitability as regards their requirements in conditions enabling
 *  the security of their systems and/or data to be ensured and, more generally,
 *  to use and operate it in the same conditions as regards security.
 *  
 *  The fact that you are presently reading this means that you have had
 *  knowledge of the CeCILL license and that you accept its terms.
 * 
 *******************************************************************************/

package org.cocktail.kaki.client.gui;

import java.awt.BorderLayout;
import java.util.Vector;

import javax.swing.BorderFactory;
import javax.swing.JScrollPane;
import javax.swing.ListSelectionModel;
import javax.swing.SwingConstants;

import org.cocktail.application.client.swing.TableSorter;
import org.cocktail.application.client.swing.ZEOTable;
import org.cocktail.application.client.swing.ZEOTableModel;
import org.cocktail.application.client.swing.ZEOTableModelColumn;
import org.cocktail.application.client.tools.CocktailUtilities;
import org.cocktail.kaki.client.metier.EOKxElement;
import org.cocktail.kaki.client.metier.EOKxElementCaisse;
import org.cocktail.kaki.client.metier.EOKxElementCatBudgetaire;
import org.cocktail.kaki.client.metier.EOMois;
import org.cocktail.kaki.common.KakiConstantes;
import org.cocktail.kaki.common.KakiIcones;

import com.webobjects.eointerface.EODisplayGroup;

/**
 *
 * @author  cpinsard
 */
public class KxElementsView extends javax.swing.JFrame {

	/**
	 * 
	 */
	private static final long serialVersionUID = 3935829952510594136L;
	protected EODisplayGroup eod;
	protected ZEOTable myEOTable;
	protected ZEOTableModel myTableModel;
	protected TableSorter myTableSorter;

	/** Creates new form KxElementsCtrl */
	public KxElementsView(EODisplayGroup myEod) {

		eod = myEod;

		initComponents();

		initGui();

	}

	public ZEOTable getMyEOTable() {
		return myEOTable;
	}

	public void setMyEOTable(ZEOTable myEOTable) {
		this.myEOTable = myEOTable;
	}

	/** This method is called from within the constructor to
	 * initialize the form.
	 * WARNING: Do NOT modify this code. The content of this method is
	 * always regenerated by the Form Editor.
	 */

	// <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
	private void initComponents() {

		buttonGroup1 = new javax.swing.ButtonGroup();
		viewTable = new javax.swing.JPanel();
		tfImputation = new javax.swing.JTextField();
		tfVentilation = new javax.swing.JTextField();
		buttonGetClasse6 = new javax.swing.JButton();
		jLabel1 = new javax.swing.JLabel();
		jLabel2 = new javax.swing.JLabel();
		buttonClose = new javax.swing.JButton();
		buttonGetClasse4 = new javax.swing.JButton();
		codeFinder = new javax.swing.JTextField();
		natureFinder = new javax.swing.JTextField();
		libelleFinder = new javax.swing.JTextField();
		buttonDelClasse6 = new javax.swing.JButton();
		tfFind6 = new javax.swing.JTextField();
		tfFind4 = new javax.swing.JTextField();
		buttonAdd = new javax.swing.JButton();
		buttonUpdate = new javax.swing.JButton();
		buttonDelete = new javax.swing.JButton();
		jLabel10 = new javax.swing.JLabel();
		budget = new javax.swing.JComboBox();
		buttonAnalyser = new javax.swing.JButton();
		temValide = new javax.swing.JRadioButton();
		temHistorise = new javax.swing.JRadioButton();
		nbElements = new javax.swing.JLabel();
		buttonDelClasse4 = new javax.swing.JButton();
		buttonSynchroniser = new javax.swing.JButton();
		jLabel11 = new javax.swing.JLabel();
		caisse = new javax.swing.JComboBox();

		setDefaultCloseOperation(javax.swing.WindowConstants.DO_NOTHING_ON_CLOSE);
		setTitle("Gestion des KX Elements");

		viewTable.setBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(0, 0, 0)));

		org.jdesktop.layout.GroupLayout viewTableLayout = new org.jdesktop.layout.GroupLayout(viewTable);
		viewTable.setLayout(viewTableLayout);
		viewTableLayout.setHorizontalGroup(
				viewTableLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
				.add(0, 909, Short.MAX_VALUE)
		);
		viewTableLayout.setVerticalGroup(
				viewTableLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
				.add(0, 576, Short.MAX_VALUE)
		);

		tfImputation.setBackground(new java.awt.Color(204, 204, 204));
		tfImputation.setEditable(false);
		tfImputation.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				tfImputationActionPerformed(evt);
			}
		});

		tfVentilation.setBackground(new java.awt.Color(204, 204, 204));
		tfVentilation.setEditable(false);

		buttonGetClasse6.setMaximumSize(new java.awt.Dimension(75, 75));
		buttonGetClasse6.setMinimumSize(new java.awt.Dimension(30, 22));
		buttonGetClasse6.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				buttonGetClasse6ActionPerformed(evt);
			}
		});

		jLabel1.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
		jLabel1.setText("Imputation :");

		jLabel2.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
		jLabel2.setText("Ventilation");

		buttonClose.setText("Fermer");
		buttonClose.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				buttonCloseActionPerformed(evt);
			}
		});

		buttonGetClasse4.setMaximumSize(new java.awt.Dimension(75, 75));
		buttonGetClasse4.setMinimumSize(new java.awt.Dimension(30, 22));

		codeFinder.setFont(new java.awt.Font("Tahoma", 0, 10));

		natureFinder.setFont(new java.awt.Font("Tahoma", 0, 10));

		libelleFinder.setFont(new java.awt.Font("Tahoma", 0, 10));

		buttonDelClasse6.setMaximumSize(new java.awt.Dimension(75, 75));
		buttonDelClasse6.setMinimumSize(new java.awt.Dimension(30, 22));
		buttonDelClasse6.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				buttonDelClasse6ActionPerformed(evt);
			}
		});

		tfFind6.setFont(new java.awt.Font("Tahoma", 0, 10));

		tfFind4.setFont(new java.awt.Font("Tahoma", 0, 10));

		buttonAdd.setMaximumSize(new java.awt.Dimension(75, 75));
		buttonAdd.setMinimumSize(new java.awt.Dimension(30, 22));
		buttonAdd.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				buttonAddActionPerformed(evt);
			}
		});

		buttonUpdate.setMaximumSize(new java.awt.Dimension(75, 75));
		buttonUpdate.setMinimumSize(new java.awt.Dimension(30, 22));
		buttonUpdate.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				buttonUpdateActionPerformed(evt);
			}
		});

		buttonDelete.setMaximumSize(new java.awt.Dimension(75, 75));
		buttonDelete.setMinimumSize(new java.awt.Dimension(30, 22));
		buttonDelete.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				buttonDeleteActionPerformed(evt);
			}
		});

		jLabel10.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
		jLabel10.setText("Budget :");

		budget.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));
		budget.setToolTipText("Budget");
		budget.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				budgetActionPerformed(evt);
			}
		});

		buttonAnalyser.setToolTipText("Contrôler la présence des éléments KX");
		buttonAnalyser.setMaximumSize(new java.awt.Dimension(75, 75));
		buttonAnalyser.setMinimumSize(new java.awt.Dimension(30, 22));
		buttonAnalyser.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				buttonAnalyserActionPerformed(evt);
			}
		});

		buttonGroup1.add(temValide);
		temValide.setText("Valides");
		temValide.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				temValideActionPerformed(evt);
			}
		});

		buttonGroup1.add(temHistorise);
		temHistorise.setText("Historisés");
		temHistorise.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				temHistoriseActionPerformed(evt);
			}
		});

		nbElements.setFont(new java.awt.Font("Tahoma", 1, 14)); // NOI18N
		nbElements.setForeground(new java.awt.Color(102, 102, 255));
		nbElements.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
		nbElements.setText("jLabel3");

		buttonDelClasse4.setMaximumSize(new java.awt.Dimension(75, 75));
		buttonDelClasse4.setMinimumSize(new java.awt.Dimension(30, 22));
		buttonDelClasse4.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				buttonDelClasse4ActionPerformed(evt);
			}
		});

		buttonSynchroniser.setToolTipText("Synchronisation automatique des éléments KX");
		buttonSynchroniser.setMaximumSize(new java.awt.Dimension(75, 75));
		buttonSynchroniser.setMinimumSize(new java.awt.Dimension(30, 22));
		buttonSynchroniser.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				buttonSynchroniserActionPerformed(evt);
			}
		});

		jLabel11.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
		jLabel11.setText("Caisse :");

		caisse.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));
		caisse.setToolTipText("Budget");
		caisse.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				caisseActionPerformed(evt);
			}
		});

		org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
		getContentPane().setLayout(layout);
		layout.setHorizontalGroup(
				layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
				.add(layout.createSequentialGroup()
						.addContainerGap()
						.add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
								.add(jLabel2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
								.add(jLabel1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 61, Short.MAX_VALUE))
								.addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
								.add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
										.add(tfVentilation)
										.add(tfImputation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 260, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
										.addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
										.add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
												.add(buttonGetClasse4, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 33, Short.MAX_VALUE)
												.add(buttonGetClasse6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 33, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
												.addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
												.add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
														.add(buttonDelClasse6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 33, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
														.add(buttonDelClasse4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 33, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
														.add(18, 18, 18)
														.add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
																.add(layout.createSequentialGroup()
																		.add(jLabel10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 58, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
																		.addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
																		.add(budget, 0, 283, Short.MAX_VALUE))
																		.add(layout.createSequentialGroup()
																				.add(jLabel11, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 58, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
																				.addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
																				.add(caisse, 0, 283, Short.MAX_VALUE)))
																				.addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
																				.add(buttonClose, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 168, Short.MAX_VALUE)
																				.addContainerGap())
																				.add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
																						.add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
																								.add(layout.createSequentialGroup()
																										.addContainerGap()
																										.add(codeFinder, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 79, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
																										.addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
																										.add(libelleFinder, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 262, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
																										.addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
																										.add(natureFinder, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 61, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
																										.addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
																										.add(tfFind6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 61, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
																										.addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
																										.add(tfFind4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 61, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
																										.addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 201, Short.MAX_VALUE)
																										.add(temValide)
																										.addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
																										.add(temHistorise)
																										.add(28, 28, 28))
																										.add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
																												.add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
																														.add(layout.createSequentialGroup()
																																.addContainerGap()
																																.add(nbElements, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 104, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
																																.add(viewTable, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
																																.addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)))
																																.add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
																																		.add(buttonDelete, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 33, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
																																		.add(buttonUpdate, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 33, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
																																		.add(buttonAdd, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 33, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
																																		.add(buttonSynchroniser, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 33, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
																																		.add(buttonAnalyser, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 33, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
																																		.addContainerGap())
		);
		layout.setVerticalGroup(
				layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
				.add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
						.addContainerGap()
						.add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
								.add(codeFinder, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
								.add(libelleFinder, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
								.add(natureFinder, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
								.add(tfFind6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
								.add(tfFind4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
								.add(temValide)
								.add(temHistorise))
								.addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
								.add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
										.add(layout.createSequentialGroup()
												.add(buttonAdd, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
												.addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
												.add(buttonUpdate, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
												.addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
												.add(buttonDelete, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
												.add(17, 17, 17)
												.add(buttonAnalyser, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
												.addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
												.add(buttonSynchroniser, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
												.add(viewTable, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
												.addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
												.add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.CENTER)
														.add(tfImputation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
														.add(buttonGetClasse6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
														.add(jLabel1)
														.add(buttonDelClasse6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
														.add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
																.add(budget, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
																.add(jLabel10)
																.add(nbElements)))
																.addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
																.add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
																		.add(jLabel2)
																		.add(tfVentilation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
																		.add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
																				.add(buttonGetClasse4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
																				.add(buttonDelClasse4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
																				.add(caisse, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
																				.add(jLabel11)
																				.add(buttonClose)))
																				.addContainerGap())
		);

		layout.linkSize(new java.awt.Component[] {buttonGetClasse4, jLabel2, tfVentilation}, org.jdesktop.layout.GroupLayout.VERTICAL);

		layout.linkSize(new java.awt.Component[] {buttonGetClasse6, jLabel1, tfImputation}, org.jdesktop.layout.GroupLayout.VERTICAL);

		java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
		setBounds((screenSize.width-976)/2, (screenSize.height-719)/2, 976, 719);
	}// </editor-fold>//GEN-END:initComponents

	private void tfImputationActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfImputationActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_tfImputationActionPerformed

	private void buttonCloseActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_buttonCloseActionPerformed
		// TODO add your handling code here:
		dispose();
	}//GEN-LAST:event_buttonCloseActionPerformed

	private void buttonGetClasse6ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_buttonGetClasse6ActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_buttonGetClasse6ActionPerformed

	private void buttonDelClasse6ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_buttonDelClasse6ActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_buttonDelClasse6ActionPerformed

	private void buttonAddActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_buttonAddActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_buttonAddActionPerformed

	private void buttonUpdateActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_buttonUpdateActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_buttonUpdateActionPerformed

	private void buttonDeleteActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_buttonDeleteActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_buttonDeleteActionPerformed

	private void budgetActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_budgetActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_budgetActionPerformed

	private void buttonAnalyserActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_buttonAnalyserActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_buttonAnalyserActionPerformed

	private void temValideActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_temValideActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_temValideActionPerformed

	private void temHistoriseActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_temHistoriseActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_temHistoriseActionPerformed

	private void buttonDelClasse4ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_buttonDelClasse4ActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_buttonDelClasse4ActionPerformed

	private void buttonSynchroniserActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_buttonSynchroniserActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_buttonSynchroniserActionPerformed

	private void caisseActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_caisseActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_caisseActionPerformed

	//    /**
	//    * @param args the command line arguments
	//    */
	//    public static void main(String args[]) {
	//        java.awt.EventQueue.invokeLater(new Runnable() {
	//            public void run() {
	//                new KxElementsView().setVisible(true);
	//            }
	//        });
	//    }


	// Variables declaration - do not modify//GEN-BEGIN:variables
	protected javax.swing.JComboBox budget;
	protected javax.swing.JButton buttonAdd;
	protected javax.swing.JButton buttonAnalyser;
	private javax.swing.JButton buttonClose;
	protected javax.swing.JButton buttonDelClasse4;
	protected javax.swing.JButton buttonDelClasse6;
	protected javax.swing.JButton buttonDelete;
	protected javax.swing.JButton buttonGetClasse4;
	protected javax.swing.JButton buttonGetClasse6;
	private javax.swing.ButtonGroup buttonGroup1;
	protected javax.swing.JButton buttonSynchroniser;
	protected javax.swing.JButton buttonUpdate;
	protected javax.swing.JComboBox caisse;
	private javax.swing.JTextField codeFinder;
	private javax.swing.JLabel jLabel1;
	private javax.swing.JLabel jLabel10;
	private javax.swing.JLabel jLabel11;
	private javax.swing.JLabel jLabel2;
	private javax.swing.JTextField libelleFinder;
	private javax.swing.JTextField natureFinder;
	private javax.swing.JLabel nbElements;
	protected javax.swing.JRadioButton temHistorise;
	protected javax.swing.JRadioButton temValide;
	private javax.swing.JTextField tfFind4;
	private javax.swing.JTextField tfFind6;
	protected javax.swing.JTextField tfImputation;
	protected javax.swing.JTextField tfVentilation;
	private javax.swing.JPanel viewTable;
	// End of variables declaration//GEN-END:variables

	public javax.swing.JButton getButtonGetClasse4() {
		return buttonGetClasse4;
	}

	public void setButtonGetClasse4(javax.swing.JButton buttonGetClasse4) {
		this.buttonGetClasse4 = buttonGetClasse4;
	}


	public javax.swing.JButton getButtonDelClasse6() {
		return buttonDelClasse6;
	}

	public void setButtonDelClasse6(javax.swing.JButton buttonDelClasse6) {
		this.buttonDelClasse6 = buttonDelClasse6;
	}

	public javax.swing.JTextField getTfFind4() {
		return tfFind4;
	}



	public javax.swing.JLabel getNbElements() {
		return nbElements;
	}

	public void setNbElements(javax.swing.JLabel nbElements) {
		this.nbElements = nbElements;
	}

	public void setTfFind4(javax.swing.JTextField tfFind4) {
		this.tfFind4 = tfFind4;
	}

	public javax.swing.JTextField getTfFind6() {
		return tfFind6;
	}

	public void setTfFind6(javax.swing.JTextField tfFind6) {
		this.tfFind6 = tfFind6;
	}

	public javax.swing.JButton getButtonGetClasse6() {
		return buttonGetClasse6;
	}

	public void setButtonGetClasse6(javax.swing.JButton buttonGetClasse6) {
		this.buttonGetClasse6 = buttonGetClasse6;
	}


	public javax.swing.JButton getButtonAdd() {
		return buttonAdd;
	}

	public void setButtonAdd(javax.swing.JButton buttonAdd) {
		this.buttonAdd = buttonAdd;
	}



	public javax.swing.JComboBox getBudget() {
		return budget;
	}

	public void setBudget(javax.swing.JComboBox budget) {
		this.budget = budget;
	}



	public javax.swing.JButton getButtonAnalyser() {
		return buttonAnalyser;
	}

	public void setButtonAnalyser(javax.swing.JButton buttonAnalyser) {
		this.buttonAnalyser = buttonAnalyser;
	}

	public javax.swing.JRadioButton getTemHistorise() {
		return temHistorise;
	}

	public javax.swing.JComboBox getCaisse() {
		return caisse;
	}

	public void setCaisse(javax.swing.JComboBox caisse) {
		this.caisse = caisse;
	}

	public void setTemHistorise(javax.swing.JRadioButton temHistorise) {
		this.temHistorise = temHistorise;
	}

	public javax.swing.JRadioButton getTemValide() {
		return temValide;
	}

	public void setTemValide(javax.swing.JRadioButton temValide) {
		this.temValide = temValide;
	}

	public javax.swing.JButton getButtonDelete() {
		return buttonDelete;
	}

	public void setButtonDelete(javax.swing.JButton buttonDelete) {
		this.buttonDelete = buttonDelete;
	}

	public javax.swing.JButton getButtonUpdate() {
		return buttonUpdate;
	}

	public void setButtonUpdate(javax.swing.JButton buttonUpdate) {
		this.buttonUpdate = buttonUpdate;
	}

	private void initGui() {

		buttonClose.setIcon(KakiIcones.ICON_CLOSE);

		buttonAdd.setIcon(KakiIcones.ICON_ADD);
		buttonUpdate.setIcon(KakiIcones.ICON_UPDATE);
		buttonDelete.setIcon(KakiIcones.ICON_DELETE);

		buttonAnalyser.setIcon(KakiIcones.ICON_PARAMS_16);
		buttonSynchroniser.setIcon(KakiIcones.ICON_OUTILS_16);

		buttonGetClasse4.setIcon(KakiIcones.ICON_SELECT_16);
		buttonGetClasse6.setIcon(KakiIcones.ICON_SELECT_16);

		buttonDelClasse4.setIcon(KakiIcones.ICON_DELETE);       
		buttonDelClasse6.setIcon(KakiIcones.ICON_DELETE);

		Vector<ZEOTableModelColumn> myCols = new Vector<ZEOTableModelColumn>();

		ZEOTableModelColumn col = new ZEOTableModelColumn(eod, EOKxElement.IDELT_KEY, "CODE", 100);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eod, EOKxElement.L_ELEMENT_KEY, "ELEMENT", 300);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eod, EOKxElement.C_NATURE_KEY, "Nat", 50);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);
		col = new ZEOTableModelColumn(eod, "compteImputation", "6", 50);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eod, "compteVentilation", "4", 50);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eod, EOKxElement.BUDGET_KEY+"."+EOKxElementCatBudgetaire.L_CATEGORIE_KEY, "Budget", 175);        
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eod, EOKxElement.TEM_PRIME_INDEMNITE_KEY, "Prime/Ind.", 75);        
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);
		col = new ZEOTableModelColumn(eod, EOKxElement.TEM_RAFP_KEY, "Base RAFP", 75);        
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);
		col = new ZEOTableModelColumn(eod, EOKxElement.TEM_COT_RAFP_KEY, "Cot RAFP", 75);        
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);
		col = new ZEOTableModelColumn(eod, EOKxElement.CAISSE_KEY+"."+EOKxElementCaisse.L_CAISSE_KEY, "Caisse", 75);        
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eod, EOKxElement.MOIS_DEBUT_KEY+"."+EOMois.MOIS_CODE_KEY, "Début", 75);        
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eod, EOKxElement.MOIS_FIN_KEY+"."+EOMois.MOIS_CODE_KEY, "Fin", 75);        
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		myTableModel = new ZEOTableModel(eod, myCols);
		myTableSorter = new TableSorter(myTableModel);

		myEOTable = new ZEOTable(myTableSorter);
		//myEOTable.addListener(myListenerContrat);
		myTableSorter.setTableHeader(myEOTable.getTableHeader());		

		myEOTable.setBackground(KakiConstantes.COLOR_FOND_NOMENCLATURES);
		myEOTable.setSelectionBackground(KakiConstantes.COLOR_SELECTED_ROW);
		myEOTable.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);

		viewTable.setLayout(new BorderLayout());
		viewTable.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTable.removeAll();
		viewTable.add(new JScrollPane(myEOTable), BorderLayout.CENTER);

	}

	public void setImputation(String texte) {
		CocktailUtilities.setTextToField(tfImputation, texte);
	}

	public void setVentilation(String texte) {
		CocktailUtilities.setTextToField(tfVentilation, texte);
	}

	public javax.swing.JTextField getTfImputation() {
		return tfImputation;
	}

	public void setTfImputation(javax.swing.JTextField tfImputation) {
		this.tfImputation = tfImputation;
	}

	public javax.swing.JTextField getTfVentilation() {
		return tfVentilation;
	}

	public void setTfVentilation(javax.swing.JTextField tfVentilation) {
		this.tfVentilation = tfVentilation;
	}

	public javax.swing.JTextField getCodeFinder() {
		return codeFinder;
	}

	public javax.swing.JButton getButtonDelClasse4() {
		return buttonDelClasse4;
	}

	public void setButtonDelClasse4(javax.swing.JButton buttonDelClasse4) {
		this.buttonDelClasse4 = buttonDelClasse4;
	}

	public javax.swing.JButton getButtonSynchroniser() {
		return buttonSynchroniser;
	}

	public void setButtonSynchroniser(javax.swing.JButton buttonSynchroniser) {
		this.buttonSynchroniser = buttonSynchroniser;
	}

	public void setCodeFinder(javax.swing.JTextField codeFinder) {
		this.codeFinder = codeFinder;
	}

	public javax.swing.JTextField getLibelleFinder() {
		return libelleFinder;
	}

	public void setLibelleFinder(javax.swing.JTextField libelleFinder) {
		this.libelleFinder = libelleFinder;
	}

	public javax.swing.JTextField getNatureFinder() {
		return natureFinder;
	}

	public void setNatureFinder(javax.swing.JTextField natureFinder) {
		this.natureFinder = natureFinder;
	}

}
